Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.prerender
Interface PrerenderAuthenticator

    public interface PrerenderAuthenticator

Used by the extended Cacher (Prerendering service ) to authenticate w/ Portal?WCM so that the cacher can establish a HTTP/HTTPS connection, to execute the prerendering.

A default implementation is provided, that will work with standard/default portal form based login using the portal login URL /wps/portal//cxml/04_SD9ePMtCP1I800I_KydQvyHFUBADPmuQy?

Since:
  7.0

Method Summary
`void` | `addAuthenticationTokens(java.net.URL url, java.net.URLConnection urlConnection)` Called prior to making the Connection to the prerendering engine to have any cookies/headers/etc set into the URL to provide any authentication tokens necessary.

Method Detail

### addAuthenticationTokens

    void addAuthenticationTokens(java.net.URL url,
                                 java.net.URLConnection urlConnection)
                                 throws PrerenderException,
                                        java.io.IOException

  Called prior to making the Connection to the prerendering engine to have any cookies/headers/etc set into the URL to provide any authentication tokens necessary. For example, In a default, non ESM portal environment this method would set the JSESSION and LTPA token cookies into the URl. The JSESSIOnand LTPA token may be acquired in the prepareAuthenticator() method or done in this routine by performing a login to portal.

  Parameters:
    `url` - - the URL object to receive any cookie/headers/etc require to indicate authentication info.
  Throws:
    `PrerenderException`
    `java.io.IOException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD